Skip to main content
Jump to: navigation, search

Handly/New and Noteworthy/1.7


New & Noteworthy for Eclipse Handly 1.7

This release aligns with Eclipse 2022-09.

Type Hierarchy View API

This release finalizes API for Type Hierarchy View introduced as provisional in Handly 1.6.

Other Enhancements

  • Xtext 2.28 is now supported

Target Environments

This release requires at least Java 11 and Eclipse 2021-06 (4.20). Also, Xtext Integration component requires at least Xtext 2.25.

Note that the minimum requirements have changed in this release. Previously, Java 8, Eclipse 2018-12 (4.10), and Xtext 2.16 were sufficient.

Full List of Issues Addressed in This Release

 Fixed Issues

Back to the top